<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>polylib: Lattice.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.6 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
<h1>Lattice.h</h1><a href="Lattice_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#ifndef _Lattice_h_</span>
<a name="l00002"></a>00002 <span class="preprocessor"></span><span class="preprocessor">#define _Lattice_h_</span>
<a name="l00003"></a>00003 <span class="preprocessor"></span>
<a name="l00004"></a>00004 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00005"></a>00005 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00006"></a>00006 <span class="preprocessor">#endif</span>
<a name="l00007"></a>00007 <span class="preprocessor"></span>
<a name="l00008"></a>00008 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Lattice_8c.html#4d75ea3bed92d944fc4be0ec7e08bd15">AffineHermite</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Lattice</a> **H, <a class="code" href="structmatrix.html">Matrix</a> **U );
<a name="l00009"></a>00009 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Lattice_8c.html#ceafe2570bfa2354e04412151d903094">AffineSmith</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Lattice</a> **U, <a class="code" href="structmatrix.html">Lattice</a> **V, <a class="code" href="structmatrix.html">Lattice</a>
<a name="l00010"></a>00010                           **Diag );
<a name="l00011"></a>00011 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#2e1e0a75d5fb3ddf7cac35b0c6ffc75b">ChangeLatticeDimension</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <span class="keywordtype">int</span> dimension );
<a name="l00012"></a>00012 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#ab7550d1f894cc88fe630ce56f502184">EmptyLattice</a> ( <span class="keywordtype">int</span> dimension );
<a name="l00013"></a>00013 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#009f469f3f4110d9035d36fa040dd176">ExtractLinearPart</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A );
<a name="l00014"></a>00014 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="Lattice_8c.html#ee5cf58a5c79a49ada7909b84440499a">FindHermiteBasisofDomain</a> ( <a class="code" href="structpolyhedron.html">Polyhedron</a> *A, <a class="code" href="structmatrix.html">Matrix</a> **B );
<a name="l00015"></a>00015 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#00c3710631cd7f82d65329751095e78b">Homogenise</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="types_8h.html#39db6982619d623273fad8a383489309">Bool</a> Forward );
<a name="l00016"></a>00016 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="Lattice_8c.html#b4a31767671350bb32e2ffb875348ac6">intcompare</a> ( <span class="keyword">const</span> <span class="keywordtype">void</span> *a, <span class="keyword">const</span> <span class="keywordtype">void</span> *b );
<a name="l00017"></a>00017 <span class="keyword">extern</span> <a class="code" href="types_8h.html#39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#7a9a551062ace0251e9bb0ea6b74c860">isEmptyLattice</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A );
<a name="l00018"></a>00018 <span class="keyword">extern</span> <a class="code" href="types_8h.html#39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#a55a58802da206d773cbaf5d6ffb90a5">isfulldim</a> ( <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="polyparam_8c.html#742204794ea328ba293fe59cec79b990">m</a> );
<a name="l00019"></a>00019 <span class="keyword">extern</span> <a class="code" href="types_8h.html#39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#2b6cf7c3438a407cd28d6ea0c9219d1b">IsLattice</a> ( <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="polyparam_8c.html#742204794ea328ba293fe59cec79b990">m</a> );
<a name="l00020"></a>00020 <span class="keyword">extern</span> <a class="code" href="types_8h.html#39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#59f5ebfe98faf74f9b9628d0f484fece">isLinear</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A );
<a name="l00021"></a>00021 <span class="keyword">extern</span> <a class="code" href="structLatticeUnion.html">LatticeUnion</a> *<a class="code" href="Lattice_8c.html#31fa008ccc3304ba29e3167b17c61b70" title="Method :.">LatticeDifference</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Lattice</a> *B );
<a name="l00022"></a>00022 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#c67608cf4d08c51aa76da79051507fd4">LatticeImage</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Matrix</a> *M );
<a name="l00023"></a>00023 <span class="keyword">extern</span> <a class="code" href="types_8h.html#39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#be494c899b1c641aedcb95fec4719070">LatticeIncludes</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Lattice</a> *B );
<a name="l00024"></a>00024 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#db689baac30514102da4520b751c199d">LatticeIntersection</a> ( <a class="code" href="structmatrix.html">Lattice</a> *X, <a class="code" href="structmatrix.html">Lattice</a> *Y );
<a name="l00025"></a>00025 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#0c4b5df1248325964344c44d1b3b93ed">LatticePreimage</a> ( <a class="code" href="structmatrix.html">Lattice</a> *L, <a class="code" href="structmatrix.html">Matrix</a> *G );
<a name="l00026"></a>00026 <span class="keyword">extern</span> <a class="code" href="structLatticeUnion.html">LatticeUnion</a> *<a class="code" href="Lattice_8c.html#bcae5a642b26c67f65db8de16cca6064">LatticeSimplify</a> ( <a class="code" href="structLatticeUnion.html">LatticeUnion</a> *latlist );
<a name="l00027"></a>00027 <span class="keyword">extern</span> <a class="code" href="structLatticeUnion.html">LatticeUnion</a> *<a class="code" href="Lattice_8c.html#3ec0f98cd150dbf78ef0a604c0eb74ff">LatticeUnion_Alloc</a> ( <span class="keywordtype">void</span> );
<a name="l00028"></a>00028 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Lattice_8c.html#d405c032776bc0e029b1d431b3cab314">LatticeUnion_Free</a> ( <a class="code" href="structLatticeUnion.html">LatticeUnion</a> *Head );
<a name="l00029"></a>00029 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Lattice_8c.html#e9589a3920f117a40663271977a9a84a">PrintLatticeUnion</a> ( FILE *fp, <span class="keywordtype">char</span> *format, <a class="code" href="structLatticeUnion.html">LatticeUnion</a>
<a name="l00030"></a>00030                                 *Head );
<a name="l00031"></a>00031 <span class="keyword">extern</span> <a class="code" href="types_8h.html#39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#6a82f4f5730f8c7b5b912e3a7b55dbb4">sameAffinepart</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Lattice</a> *B );
<a name="l00032"></a>00032 <span class="keyword">extern</span> <a class="code" href="types_8h.html#39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#ec768b41c299f9545319f655a3d2fd1a">sameLattice</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Lattice</a> *B );
<a name="l00033"></a>00033 <span class="keyword">extern</span> <a class="code" href="structLatticeUnion.html">LatticeUnion</a> *<a class="code" href="Lattice_8c.html#020989e31cbf7e9cf32b85c4078fcb65">Lattice2LatticeUnion</a>(<a class="code" href="structmatrix.html">Lattice</a> *X,<a class="code" href="structmatrix.html">Lattice</a> *Y);
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00036"></a>00036 <span class="preprocessor"></span>}
<a name="l00037"></a>00037 <span class="preprocessor">#endif</span>
<a name="l00038"></a>00038 <span class="preprocessor"></span>
<a name="l00039"></a>00039 <span class="preprocessor">#endif </span><span class="comment">/* _Lattice_h_ */</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Sep 15 18:33:59 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
</body>
</html>
